spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel McDonald <dan.mcdon...@austinenergy.com>
Subject Re: Error Running 'sa-update'
Date Tue, 26 Oct 2010 17:30:55 GMT



On 10/26/10 12:18 PM, "Carlos Mennens" <carloswill@gmail.com> wrote:

> Today for the 1st time on my mail server I attempted to manually run
> the 'sa-update' command in the shell and got the following:
> 
> 
> [root@mail ~]# sa-update
> defined(%hash) is deprecated at
> /usr/share/perl5/vendor_perl/Mail/SpamAssassin/Dns.pm line 757.
> (Maybe you should just omit the defined()?)
> Use of "goto" to jump into a construct is deprecated at
> /usr/share/perl5/vendor_perl/Mail/SpamAssassin/Plugin/Check.pm line

[...]
 
> I did a Google search and didn't really find the answer to my issue
> and was wondering if anyone can please assist me and getting this
> issue corrected or tell me what I am doing wrong.

 spamassassin 3.3.1 is not compatible with perl 5.12

The patches to make it compatible are attached to

https://issues.apache.org/SpamAssassin/show_bug.cgi?id=6392

-- 
Daniel J McDonald, CCIE # 2495, CISSP # 78281


Mime
View raw message